#!/bin/sh
#
#
die ()
{
  echo -e "\a\n $1, exiting." > /dev/tty
  umount $mountpt > /dev/null 2>&1
  exit 1
}
comment ()
{
  echo $1 $2 > /dev/tty
}


if test "$1"; then
# > 0?
  source $1
else 
  die "No parameter, nothing to read"
fi

cont=true
count=0

while $cont; do
  count=$(expr $count + 1)
  mnt=false
  while ! $mnt; do
    $loadcmd > /dev/null 2>&1
    mount -t iso9660 -o ro $rawdevice $mountpt > /dev/tty 2>&1
    if test $? -eq 0; then
        if test -f "$mountpt/$volume_name$count"; then
          mnt=true
        else
          comment "Wrong disk inserted, possibly wrong diskSET."
        fi
    fi
    if ! $mnt; then
        umount $mountpt > /dev/null 2>&1
        $ejectcmd > /dev/null 2>&1
        comment -e "\a\nPlease change the disk. Insert volume $count and press any key to continue."
        read ans < /dev/tty
    fi
  done
  if $mnt; then
    comment "Now reading volume $count ..."
    for i in $(find $mountpt/$arch_name.*); do
      if test -r $i && test -s $i; then
        cat $i 
        if test $? -ne 0; then
          die "Error occured while reading volume $count. \n One and only reasonable option: break"
        fi
      else
        die "File $i not readable or length is zero. \n One and only reasonable option: break"
      fi
    done
    if test -f "$mountpt/$end_mark"; then
      cont=false
    fi
    umount $mountpt 
  else
    comment "Mounting volume $count failed"
  fi
  
done 2> /dev/tty

comment "The backup was completely read."
umount $mountpt > /dev/null 2>&1
